Fix: Missing librt dependency in configure check for lttng-ust-ctl
authorChristian Babeux <christian.babeux@efficios.com>
Fri, 2 Nov 2012 19:03:17 +0000 (15:03 -0400)
committerDavid Goulet <dgoulet@efficios.com>
Fri, 2 Nov 2012 20:30:34 +0000 (16:30 -0400)
The lttng-ust-ctl library depends on librt. The AC_CHECK_LIBRARY macro
can't automatically resolve dependents libraries (ala libtool), so any
additionnals dependencies must be manually specified.

Signed-off-by: Christian Babeux <christian.babeux@efficios.com>
Signed-off-by: David Goulet <dgoulet@efficios.com>
configure.ac

index 0911b9a26036cdb9b8104cbad2025945ae63ec8a..72daf7e0f32c42770bfa2a60fb04c13bd66b527c 100644 (file)
@@ -144,7 +144,7 @@ AS_IF([test "x$lttng_ust_support" = "xyes"], [
                        lttng_ust_ctl_found=yes
                ],
                [AC_MSG_ERROR([Cannot find LTTng-UST. Use [LDFLAGS]=-Ldir to specify its location, or specify --disable-lttng-ust to build lttng-tools without LTTng-UST support.])],
-               [-lurcu-common -lurcu-bp -lurcu-cds]
+               [-lurcu-common -lurcu-bp -lurcu-cds -lrt]
        )
 ])
 AM_CONDITIONAL([HAVE_LIBLTTNG_UST_CTL], [test "x$lttng_ust_ctl_found" = xyes])
This page took 0.040468 seconds and 4 git commands to generate.